Skip to content
English

Email content

GET/v1/mailboxes/{mailbox_id}/messages/{uid}

Send folder, uidvalidity and uid from the mail list. HTML cleared, external images are not included. To mark a message as read, perform a separate action read.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages/<uid>?uidvalidity=<uidvalidity>' \
-H 'Authorization: Bearer <access_token>'

Parameters

mailbox_idpathNecessarily

integer

uidpathNecessarily

integer

uidvalidityqueryNecessarily

integer

folderquery

string

Default: "INBOX"

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

object

uid

integer

uidvalidity

integer

folder

string

message_id

string

thread_id

string

sender

string

recipients

array

Array elements

object

name

string

email

string

subject

string

preview

string

flags

array

Array elements

string

size_bytes

integer

received_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

text

string

html

string

attachments

array

Array elements

object

index

integer

filename

string

content_type

string

size_bytes

integer

cc

array

Array elements

object

name

string

email

string

references

string

reply_to

string

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object